Retrieve Debit Memo
curl --request GET \
--url https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}import requests
url = "https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/coa/api/v1/debit-memo/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 343,
"lines": [
{
"id": 409,
"account_number": "6500",
"account_name": "6500 - Travel Expenses",
"department_name": "Customer Support",
"tags": [
{
"id": 8344,
"group_name": "Fund",
"parent_name": null,
"parent": null,
"name": "Fund 1",
"created_at": "2025-07-15T18:40:55+0000",
"last_modified_at": "2025-07-15T18:40:55+0000",
"group": 696
}
],
"description": "Debit Memo Line",
"amount": 1000.01,
"created_at": "2025-07-25T21:50:15+0000",
"last_modified_at": "2025-07-25T21:50:15+0000",
"account": 2613,
"department": 365
}
],
"payments": [
{
"id": 456,
"payment_journal_entry": 7495834,
"payment_journal_entry_order": "JE-0007825",
"payment_transaction": 19485764,
"amount": 500,
"payment_date": "2025-07-15",
"created_at": "2025-07-15T14:30:22+0000",
"last_modified_at": "2025-07-15T14:30:22+0000",
"voided_date": null,
"voided_journal_entry": null,
"bill": {
"id": 47893,
"bill_number": "BILL-0000513"
}
}
],
"total_amount": 1000.01,
"amount_used": 500,
"amount_remaining": 500.01,
"entity_name": "Top Level",
"entity_currency": "USD",
"vendor_name": "ABC Bead Supply",
"debit_account_name": "5230 - Cloud Credits",
"attachments": [
{
"id": 15644,
"name": "debit_memo_supporting_docs.pdf",
"file_size": 245760,
"content_type": "application/pdf",
"created_at": "2025-07-01T10:15:33+0000",
"last_modified_at": "2025-07-01T10:15:33+0000"
}
],
"debit_memo_number": "DM-0000005",
"voided_date": null,
"ref_number": "REF-2025-0088",
"debit_memo_date": "2025-07-01",
"applied_date": "2025-07-15",
"message_on_debit_memo": "Debit Memo Message",
"application_status": "partially_used",
"currency": "USD",
"exchange_rate": 1,
"exchange_rate_book": 1,
"created_at": "2025-07-25T21:50:15+0000",
"last_modified_at": "2025-07-15T14:30:22+0000",
"customer": 2,
"entity": 54,
"vendor": 34182,
"debit_account": 41905,
"journal_entry": 7491954,
"voided_journal_entry": null
}Accounts Payable
Retrieve Debit Memo
Retrieves a single accounting debit memo with complete details including line items, payments, and accounting relationships.
GET
/
coa
/
api
/
v1
/
debit-memo
/
{id}
Retrieve Debit Memo
Path Parameters
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Calculate amount remaining from database fields
Combines account number and name in the format "number - name"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
120Maximum string length:
120Maximum string length:
120open- Openpartially_used- Partially Usedused- Usedvoided- Voided
Available options:
open, partially_used, used, voided Maximum string length:
3Required range:
-100000000000000 < x < 100000000000000Required range:
-100000000000000 < x < 100000000000000Sum of all line item amounts
Required range:
-1000000000000000000 < x < 1000000000000000000Sum of all non-voided payment amounts
Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-2147483648 <= x <= 2147483647inclusive- Inclusiveexclusive- Exclusive
Available options:
inclusive, exclusive